
QGIS Application - Bug report #11488

crash using qgis/processing field calculator

2014-10-24 03:39 AM - Lorenzo Luisi

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:2.4.0 Regression?: No

Operating System: windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 19758

Description

Hi,

if make this formula:

processing.runalg("qgis:fieldcalculator","C:/Papi/Corsi QGIS

(eCAD)/22-24oct2014Faunalia/analisi_qgis_corso/processing/vector_calculator/census_boundaries.shp","msf",0,10,3,True," "MALES"  /

 "FEMALES" ","")

then I go in crash

why?

Associated revisions

Revision 66377967 - 2014-11-22 11:52 AM - Alexander Bruy

[processing] fix Field calculator algorthm (fix #11488)

History

#1 - 2014-10-24 07:12 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Subject changed from Field calculator VS calcolatore campi to crash using qgis/processing field calculator

- Category changed from Browser to 94

- Status changed from Open to Feedback

- Target version deleted (2.5)

Please attach all the files of the shapefile, just the dbf in not enough.

It would be better also to know that formula did you used, and all the other possible details (a screenshot would help).

It is qgis that crashes, or you just get an error running the operation/formula?

Please also use more meaningful subjects and choose the appropriate category (if in doubt leave blank).

cheers

#2 - 2014-10-24 10:35 AM - Paolo Cavallini
- File vector_calculator.zip added

Here the data. However, the problem seems rather general. Please note that on Linux it works fine.

#3 - 2014-10-24 10:56 AM - Giovanni Manghi

Paolo Cavallini wrote:

Here the data. However, the problem seems rather general. Please note that on Linux it works fine.

and the formula?

#4 - 2014-10-24 10:58 AM - Paolo Cavallini

See above.

#5 - 2014-10-24 11:03 AM - Giovanni Manghi

Paolo Cavallini wrote:

See above.

no crash whatsoever on Windows/master, but the result is wrong per

#11487

#6 - 2014-11-22 01:22 AM - Alexander Bruy

- Category changed from 94 to Processing/QGIS

#7 - 2014-11-22 02:54 AM - Alexander Bruy

- Status changed from Feedback to Closed

Fixed in changeset commit:"663779671924946bcf5b714b60744a57b4859414".

#8 - 2014-11-22 02:55 AM - Alexander Bruy

- Resolution set to fixed/implemented

Files

census_boundaries.dbf 235 KB 2014-10-24 Lorenzo Luisi

vector_calculator.zip 401 KB 2014-10-24 Paolo Cavallini
